/**
 * 填报相关接口
 */
import request from '@/api/index'

// 分页列表
export function getListPage(params: object) {
  return request({
    url: '/planQuotaRep/listPage',
    method: 'get',
    params,
  })
}
// 填报
export function filling(data: object) {
  return request({
    url: '/planQuotaRep/updateRep',
    method: 'post',
    data,
  })
}
// 提交
export function batchSubmitApi(data: object) {
  return request({
    url: '/planQuotaRep/batchSubmit',
    method: 'post',
    data,
  })
}
// 导出
export function exportFilling(params: object) {
  return request({
    url: '/planQuotaRep/export',
    method: 'get',
    params,
    responseType: 'blob',
  })
}
